<template>
  <div>
    <el-card style="margin: 20px" class="box-card">
      <div class="elcardiv">
        <div class="leftvlue-jbxx">话术列表</div>
        <el-divider></el-divider>

        <el-table :data="targetList" :row-class-name="tableRowClassName">
          <el-table-column label="序号" align="center" key="id" prop="id" />
          <el-table-column
            label="问题主题（缺）"
            align="center"
            key="extName"
            prop="extName"
            width="200"
            :show-overflow-tooltip="true"
          />
          <el-table-column
            label="问题文本"
            align="center"
            key="switchText"
            width="250"
            prop="switchText"
            :show-overflow-tooltip="true"
          >
          </el-table-column>
          <el-table-column
            label="回复语音（缺）"
            align="center"
            key="switchTexty"
            width="200"
            prop="switchTexty"
            :show-overflow-tooltip="true"
          >
          </el-table-column>
          <el-table-column
            label="适用方式（缺）"
            align="center"
            key="suitWay"
            prop="suitWay"
          >
            <template slot-scope="scope">
              <span v-for="item in scope.row.suitWay">{{ item }}</span>
            </template>
          </el-table-column>

          <el-table-column
            label="语言（缺）"
            align="center"
            key="language"
            prop="language"
            width="120"
          />
          <el-table-column
            label="是否可用（改）"
            align="center"
            key="isEnable"
            prop="isEnable"
          >
            <template slot-scope="scope">
              <dict-tag :options="usable" :value="scope.row.isEnable" />
            </template>
          </el-table-column>
          <el-table-column
            label="最近修改"
            align="center"
            key="updateTime"
            width="250"
            prop="updateTime"
            :show-overflow-tooltip="true"
          >
          </el-table-column>

          <el-table-column
            label="操作"
            align="center"
            width="200"
            class-name="small-padding fixed-width"
          >
            <template slot-scope="scope">
              <el-button
                size="medium"
                type="text"
                @click="handleUpdate(scope.row)"
                v-hasPermi="['system:user:edit']"
                ><span class="button-textxg"
                  ><i class="el-icon-edit"></i>修改</span
                ></el-button
              >

              <el-button
                size="medium"
                type="text"
                @click="handleDelete(scope.row)"
                v-hasPermi="['system:user:remove']"
                ><span class="button-textsc"
                  ><i class="el-icon-delete"></i>删除</span
                ></el-button
              >
            </template>
          </el-table-column>
        </el-table>
        <el-form
          :model="ruleForm"
          :rules="rules"
          ref="ruleForm"
          label-width="100px"
          class="demo-ruleForm"
        >
          <div style="margin: 15px; margin-top: 50px">
            <div class="leftvlue-jbxx">话术编辑</div>
            <el-divider></el-divider>
            <el-row :gutter="20">
              <el-col :span="12">
                <el-form-item label="模版名称" prop="name">
                  <el-input
                    v-model="ruleForm.name"
                    placeholder="请输入"
                  ></el-input> </el-form-item
              ></el-col>
              <el-col :span="12">
                <el-form-item label="模版分类" prop="resource">
                  <el-select
                    v-model="ruleForm.groupID"
                    placeholder="请选择分类"
                  >
                    <el-option
                      v-for="item in deptOptions"
                      :key="item.intertcatid"
                      :label="item.categoryname"
                      :value="item.intertcatid"
                    >
                    </el-option>
                  </el-select> </el-form-item
              ></el-col>
            </el-row>
            <el-row :gutter="20">
              <el-col :span="12">
                <el-form-item label="问题主题" prop="name">
                  <el-input
                    v-model="ruleForm.name"
                    placeholder="请输入"
                  ></el-input> </el-form-item
              ></el-col>
              <el-col :span="12">
                <el-form-item label="是否可用" prop="resource">
                  <el-select
                    v-model="ruleForm.assortid"
                    placeholder="请选择状态"
                  >
                    <el-option
                      v-for="item in usable"
                      :key="item.value"
                      :label="item.label"
                      :value="item.value"
                    >
                    </el-option>
                  </el-select> </el-form-item
              ></el-col>
            </el-row>

            <el-form-item label="问题文本" prop="name">
              <el-input v-model="ruleForm.name" placeholder="请输入"></el-input>
            </el-form-item>
            <el-row :gutter="20">
              <el-col :span="12">
                <el-form-item label="语言" prop="resource">
                  <el-select v-model="ruleForm.language" placeholder="请选择">
                    <el-option
                      v-for="item in languagelist"
                      :key="item.label"
                      :label="item.label"
                      :value="item.label"
                    >
                    </el-option>
                  </el-select>
                </el-form-item>
              </el-col>
              <el-col :span="12">
                <el-form-item label="适用方式" prop="resource">
                  <el-select v-model="ruleForm.mode" placeholder="请选择">
                    <el-option
                      v-for="item in mode"
                      :key="item.value"
                      :label="item.label"
                      :value="item.value"
                    >
                    </el-option>
                  </el-select> </el-form-item
              ></el-col>
            </el-row>
            <el-form-item label="问题语音" prop="verbaltrickyy">
              <el-upload
                class="upload-demo"
                action="https://jsonplaceholder.typicode.com/posts/"
                :on-change="handleChange"
                :file-list="fileList"
                :limit="1"
                :on-exceed="handleExceed"
              >
                <el-button size="small" type="primary">点击上传</el-button>
              </el-upload>
              <!-- <el-input v-model="indexform.userName" maxlength="30" /> -->
            </el-form-item>

            <el-form-item label="匹配文本" prop="desc">
              <el-input
                type="textarea"
                placeholder="请输入匹配正则"
                v-model="ruleForm.desc"
              ></el-input>
            </el-form-item>
            <el-form-item>
              <el-button type="primary" @click="submitForm('ruleForm')"
                >立即创建</el-button
              >
              <el-button @click="resetForm('ruleForm')">重置</el-button>
            </el-form-item>
          </div>
        </el-form>
      </div>
    </el-card>
  </div>
</template>

<script>
import store from "@/store";
import {
  editgeneravaluel,
  addgeneravaluel,
  getgeneravaluelinfo,
  getgeneralinfo,
  getgeneralclassify,
  delgeneravaluelinfo,
  getgeneravaluellist,
} from "@/api/AiCentre/index";
export default {
  data() {
    return {
      loading: false,
      id: null,
      usable: [],
      languagelist: [],
      deptOptions:[],
      mode: [],
      pitchon: "还好吗",
      targetList: [{ switchText: "还好吗" }, { switchText: "还不错" }],
      fileList: [
        {
          name: "food.jpeg",
          url: "https://fuss10.elemecdn.com/3/63/4e7f3a15429bfda99bce42a18cdd1jpeg.jpeg?imageMogr2/thumbnail/360x360/format/webp/quality/100",
        },
      ],
      ruleForm: {
        name: "",
        region: "",
        date1: "",
        date2: "",
        delivery: false,
        type: [],
        resource: "",
        desc: "*(人|打|班啊|唔系真人(边|咽|咩)*(单位|地方医院|中心|卫生|议员|服务)",
      },
      rules: {},
    };
  },

  created() {
    this.getList();
    this.usable = store.getters.usable;
    this.languagelist = store.getters.languagelist;
    this.mode = store.getters.mode;
  },

  methods: {
    getList() {
      this.loading = true;
      this.id = this.$route.query.id;
      getgeneralinfo({ pid: this.id }).then((res) => {
        this.targetList = res.rows;
        console.log(this.targetList);
        this.loading = false;
      });
      getgeneralclassify({}).then((res) => {
        this.deptOptions = res.rows;
        console.log(res);
      });
    },
    /** 新增按钮操作 */
    handleAdd() {},
    /** 修改按钮操作 */
    handleUpdate(row) {
      this.pitchon = row.switchText;
    },
    submitForm() {},
    resetForm() {},
    // 文件----------------------
    // 控制文件
    handleChange(file, fileList) {
      this.fileList = fileList.slice(-3);
    },
    // 文件超出个数限制时的钩子
    handleExceed(files, fileList) {
      this.$message.warning(
        `当前限制选择 1 个文件，本次选择了 ${files.length} 个文件，共选择了 ${
          files.length + fileList.length
        } 个文件`
      );
    },
    tableRowClassName({ row, rowIndex }) {
      if (row.switchText == this.pitchon) {
        console.log(123);
        return "warning-row";
      }
      return "";
    },
  },
};
</script>

<style lang="scss" scoped>
.elcardiv {
  padding: 10px;
  .leftvlue-jbxx {
    font-size: 24px;
    border-left: 5px solid #5788fe;
    padding-left: 5px;
    margin: 15px 0;
  }
}
.button-textxg {
  color: rgb(35, 81, 233);
}
.button-textsc {
  color: rgb(235, 23, 23);
}
::v-deep.el-table .warning-row {
  background: rgb(193, 208, 250);
}
</style>
